Subject: I-D Action: draft-eckert-detnet-bounded-latency-problems-00.txt

From: [email-masked]
Date: Mon, 12 Jul 2021 14:01:23 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Problems with existing DetNet bounded latency queuing mechanisms
        Authors         : Toerless Eckert
                          Stewart Bryant
	Filename        : draft-eckert-detnet-bounded-latency-problems-00.txt
	Pages           : 29
	Date            : 2021-07-12

Abstract:
   The purpose of this memo is to explain the challenges and limitations
   of existing (standardized) bounded latency queuing mechanisms for
   desirable (large scale) MPLS and/or IP based networks to allow them
   to support DetNet services.  These challenges relate to low-cost,
   high-speed hardware implementations, desirable network design
   approaches, system complexity, reliability, scalability, cost of
   signaling, performance and jitter experience for the DetNet
   applications.  Many of these problems are rooted in the use of per-
   hop, per-flow (DetNet) forwarding and queuing state, but highly
   accurate network wide time synchronization can be another challenge
   for some networks.

   This memo does not intend to propose a specific queuing solution, but
   in the same way in which it describes the challenges of mechanisms,
   it reviews how those problem are addressed by currently proposed new
   queuing mechanisms.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-eckert-detnet-bounded-latency-problems/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-eckert-detnet-bounded-latency-problems-00

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/